### Signal

# Gtk Widget::move-focus

since: 4.0

#### Declaration

    void
    move_focus (
      GtkWidget* self,
      GtkDirectionType direction,
      gpointer user_data
    )

#### Description [src]

Emitted when the focus is moved.

The ::move-focus signal is a keybinding signal.

The default bindings for this signal are `Tab` to move forward, and `Shift`+`Tab` to move backward.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0

#### Parameters

`direction`

  Type: `GtkDirectionType`

  The direction of the focus move.